
Ryzom - Feature # 53

Status: Closed Priority: Normal
Author: kaetemi Category: NeL: General
Created: 09/04/2008 Assignee: kaetemi
Updated: 09/30/2010 Due date:
Subject: Clean up music interface between nlsound and sound driver
Description

Some stuff (like fading and music channel creation) should be moved from driver to nlsound, some other stuff (like the ugly bnp hack
for fmod) should be moved from nlsound to driver.

History
#1 - 09/05/2008 03:26 am - kaetemi
- % Done changed from 20 to 80
- Estimated time changed from 4.00 to 7.00

#2 - 09/05/2008 07:30 pm - kaetemi
- Status changed from New to Resolved
- % Done changed from 80 to 100

Applied in changeset r233.

#3 - 09/06/2008 03:08 am - kaetemi
- Status changed from Resolved to Closed

IMusicChannel is the new sound driver interface for music, it's a lot less work to implement on the driver than the previous stuff with the fancy fading
effects.

#4 - 09/08/2008 05:52 pm - kervala
- Target version set to Version 0.7.0

#5 - 09/29/2010 09:09 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Sound)
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 09:14 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
